org.apache.maven.scm.util

## Class FilenameUtils

- java.lang.Object
- - org.apache.maven.scm.util.FilenameUtils

-     public class FilenameUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilenameUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `normalizeFilename(File file)`
    `static String` | `normalizeFilename(String filename)` Replace duplicated [back]slash to slash.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilenameUtils

          public FilenameUtils()

  - ### Method Detail

    - #### normalizeFilename

          public static String normalizeFilename(File file)

    - #### normalizeFilename

          public static String normalizeFilename(String filename)

      Replace duplicated [back]slash to slash.
      Parameters:
        `filename` -
      Returns:

Copyright © 2003–2015. All rights reserved.